## rickshaw 1.4.6

=== Makefile ===
NODE_PREFIX=$(shell npm prefix)
NODE_MODULES=$(NODE_PREFIX)/node_modules

CSS_MIN=$(NODE_MODULES)/.bin/cleancss
JS_MIN=$(NODE_MODULES)/.bin/uglifyjs
JS_HINT=$(NODE_MODULES)/.bin/jshint
D3=$(NODE_MODULES)/d3
JSDOM=$(NODE_MODULES)/jsdom
NODEUNIT=$(NODE_MODULES)/nodeunit

CSS_FILES=\
	src/css/detail.css\
	src/css/graph.css\
	src/css/legend.css\

JS_FILES=\
	src/js/Rickshaw.js\
	src/js/Rickshaw.Class.js\
	src/js/Rickshaw.Compat.ClassList.js\
	src/js/Rickshaw.Graph.js\
	src/js/Rickshaw.Fixtures.Color.js\
	src/js/Rickshaw.Fixtures.RandomData.js\
	src/js/Rickshaw.Fixtures.Time.js\
	src/js/Rickshaw.Fixtures.Time.Local.js\
	src/js/Rickshaw.Fixtures.Number.js\
	src/js/Rickshaw.Color.Palette.js\
	src/js/Rickshaw.Graph.Ajax.js\
	src/js/Rickshaw.Graph.Annotate.js\
	src/js/Rickshaw.Graph.Axis.Time.js\
	src/js/Rickshaw.Graph.Axis.X.js\
	src/js/Rickshaw.Graph.Axis.Y.js\
	src/js/Rickshaw.Graph.Axis.Y.Scaled.js\
	src/js/Rickshaw.Graph.Behavior.Series.Highlight.js\
	src/js/Rickshaw.Graph.Behavior.Series.Order.js\
	src/js/Rickshaw.Graph.Behavior.Series.Toggle.js\
	src/js/Rickshaw.Graph.HoverDetail.js\
	src/js/Rickshaw.Graph.JSONP.js\
	src/js/Rickshaw.Graph.Legend.js\
	src/js/Rickshaw.Graph.RangeSlider.js\
	src/js/Rickshaw.Graph.RangeSlider.Preview.js\
	src/js/Rickshaw.Graph.Renderer.js\
	src/js/Rickshaw.Graph.Renderer.Line.js\
	src/js/Rickshaw.Graph.Renderer.Stack.js\
	src/js/Rickshaw.Graph.Renderer.Bar.js\
	src/js/Rickshaw.Graph.Renderer.Area.js\
	src/js/Rickshaw.Graph.Renderer.ScatterPlot.js\
	src/js/Rickshaw.Graph.Renderer.Multi.js\
	src/js/Rickshaw.Graph.Renderer.LinePlot.js\
	src/js/Rickshaw.Graph.Smoother.js\
	src/js/Rickshaw.Graph.Socketio.js\
	src/js/Rickshaw.Series.js\
	src/js/Rickshaw.Series.FixedDuration.js\

.PHONY: clean build

build: rickshaw.min.css rickshaw.min.js

clean:
	rm -rf rickshaw.css rickshaw.js rickshaw.min.*

test: $(D3) $(JSDOM) $(NODEUNIT)
	npm test

$(JS_HINT):
	npm install jshint

$(CSS_MIN):
	npm install clean-css

$(JS_MIN):
	npm install uglify-js

$(D3):
	npm install d3

$(JSDOM):
	npm install jsdom

$(NODEUNIT):
	npm install nodeunit

rickshaw.css: $(CSS_FILES)
	cat $(CSS_FILES) > rickshaw.css

rickshaw.js: $(JS_FILES) $(JS_HINT)
	$(JS_HINT) src/js
	cat $(JS_FILES) > rickshaw.js

rickshaw.min.css: $(CSS_MIN) rickshaw.css
	$(CSS_MIN) rickshaw.css > rickshaw.min.css

rickshaw.min.js: $(JS_MIN) rickshaw.js
	$(JS_MIN) --reserved-names "\$$super" rickshaw.js > rickshaw.min.js

=== debian/changelog ===
rickshaw (1.4.6-1) unstable; urgency=low

  * Initial upload (closes: #676631).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 24 Jan 2014 10:49:17 +0000

=== debian/control ===
Source: rickshaw
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9), cleancss, node-uglify, npm
Standards-Version: 3.9.5
Homepage: http://code.shutterstock.com/rickshaw/
Vcs-Git: git://anonscm.debian.org/collab-maint/rickshaw.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/rickshaw.git

Package: libjs-rickshaw
Architecture: all
Depends: ${misc:Depends}, libjs-d3
Recommends: javascript-common
Description: JavaScript toolkit for interactive time series graph
 Rickshaw is a JavaScript toolkit for creating interactive time series
 graphs. Rickshaw provides the elements you need to create interactive
 graphs: renderers, legends, hovers, range selectors, etc. You put the
 pieces together.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR=$(CURDIR)/debian/libjs-rickshaw/
EXDIR=$(DESTDIR)/usr/share/doc/libjs-rickshaw/examples/

override_dh_auto_build:
	${MAKE} CSS_MIN=cleancss JS_MIN=uglifyjs JS_HINT=true

override_dh_installexamples:
	dh_installexamples
	sed -i 's|../vendor/d3.*.js|/usr/share/javascript/d3/d3.js|' \
		$(EXDIR)/*.html
	sed -i 's|../rickshaw.*.js|/usr/share/javascript/rickshaw/rickshaw.js|' $(EXDIR)/*.html

override_dh_auto_test:
	# needs nodeunit to be packaged

%:
	dh $@

.PHONY: override_dh_auto_build override_dh_installexamples \
	override_dh_auto_test

=== debian/watch ===
version=3
https://github.com/shutterstock/rickshaw/tags .*/archive/v?(\d[\.\d]+).tar.gz

## rickshaw 1.5.0.dfsg

=== debian/changelog ===
rickshaw (1.5.0.dfsg-1) unstable; urgency=low

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 18 Apr 2014 13:54:01 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: libjs-rickshaw
 Architecture: all
-Depends: ${misc:Depends}, libjs-d3
+Depends: ${misc:Depends}, libjs-d3 (>= 3.3.6)
 Recommends: javascript-common
 Description: JavaScript toolkit for interactive time series graph
  Rickshaw is a JavaScript toolkit for creating interactive time series

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 override_dh_auto_test:
 	# needs nodeunit to be packaged
 
+dfsg:
+	rm $(CURDIR)/vendor/d3.min.js
+	rm $(CURDIR)/vendor/d3.v3.js
+	rm $(CURDIR)/vendor/d3.layout.min.js
+
 %:
 	dh $@

## rickshaw 1.5.1.dfsg

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	src/css/legend.css\
 
 JS_FILES=\
+	src/helpers/startUMD.js\
 	src/js/Rickshaw.js\
 	src/js/Rickshaw.Class.js\
 	src/js/Rickshaw.Compat.ClassList.js\
@@ -50,6 +51,7 @@
 	src/js/Rickshaw.Graph.Socketio.js\
 	src/js/Rickshaw.Series.js\
 	src/js/Rickshaw.Series.FixedDuration.js\
+	src/helpers/endUMD.js\
 
 .PHONY: clean build

=== debian/changelog ===
rickshaw (1.5.1.dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix Homepage
  * Add Vcs fields
  * d/watch: version=5 (comment: Repack-Suffix should be +dfsg)
  * d/control: Add Files-Excluded
  * d/README.source: Removed since redundant with Files-Excluded
  * d/copyright: Review
  * Do not use embedded JS/CSS files in examples to avoid privacy breach
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 18 Nov 2025 16:22:48 +0100

rickshaw (1.5.1.dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix GitHub tags regex
  * Update standards version to 4.6.0, no changes needed.

 -- Yadd <yadd@debian.org>  Tue, 09 Nov 2021 12:26:18 +0100

rickshaw (1.5.1.dfsg-4) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Xavier Guimard ]
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Replace deprecated node-uglify by uglifyjs (Closes: #979938)

 -- Xavier Guimard <yadd@debian.org>  Wed, 13 Jan 2021 09:52:29 +0100

rickshaw (1.5.1.dfsg-3) unstable; urgency=medium

  * Change package section to javascript.
  * Update packaging bits.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 Jan 2021 16:07:38 +0100

rickshaw (1.5.1.dfsg-2.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 28 Dec 2020 15:32:54 +0100

rickshaw (1.5.1.dfsg-2) unstable; urgency=medium

  * Remove npm build dependency (closes: #787051).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Mar 2017 21:04:20 +0000

rickshaw (1.5.1.dfsg-1) unstable; urgency=low

  * New upstream release.
  * Add missing CSS files for examples (closes: #754954).
  * Update Standards-Version to 3.9.6 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 26 Apr 2015 15:56:35 +0000

=== debian/control ===
Source: rickshaw
Standards-Version: 4.7.2
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Laszlo Boszormenyi (GCS) <gcs@debian.org>,
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 cleancss,
 uglifyjs,
Vcs-Browser: https://salsa.debian.org/js-team/rickshaw
Vcs-Git: https://salsa.debian.org/js-team/rickshaw.git
Homepage: https://tech.shutterstock.com/rickshaw/
Rules-Requires-Root: no

Package: libjs-rickshaw
Architecture: all
Depends:
 ${misc:Depends},
 libjs-d3,
Recommends:
 javascript-common,
Suggests:
 libjs-jquery,
 libjs-jquery-ui,
Description: JavaScript toolkit for interactive time series graph
 Rickshaw is a JavaScript toolkit for creating interactive time series
 graphs. Rickshaw provides the elements you need to create interactive
 graphs: renderers, legends, hovers, range selectors, etc. You put the
 pieces together.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,14 @@
 	dh_installexamples
 	sed -i 's|../vendor/d3.*.js|/usr/share/javascript/d3/d3.js|' \
 		$(EXDIR)/*.html
+	sed -i -e 's|https://ajax.googleapis.com/ajax/libs/jquery/.*/jquery.min.js|files:///usr/share/javascript/jquery/jquery.min.js|' \
+	       -e 's|http://ajax.googleapis.com/ajax/libs/jqueryui/.*/themes/base/jquery-ui.css|files:///usr/share/javascript/jquery-ui/themes/base/jquery-ui.css|' \
+	       -e 's|https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.15/jquery-ui.min.js|files:///usr/share/javascript/jquery-ui/jquery-ui.min.js|' \
+	       -e 's|http://jqueryui.com/themes/base/jquery.ui.all.css|files:///usr/share/javascript/jquery-ui/themes/base/all.css|' \
+		$(EXDIR)/*.html $(EXDIR)/*/*.html
 	sed -i 's|../rickshaw.*.js|/usr/share/javascript/rickshaw/rickshaw.js|' $(EXDIR)/*.html
+	install -m0644 $(CURDIR)/src/css/*.css $(EXDIR)/css/
+	sed -i 's|../src/||' $(EXDIR)/*.html
 
 override_dh_auto_test:
 	# needs nodeunit to be packaged

=== debian/watch ===
Version: 5

Template: Github
Owner: shutterstock
Project: rickshaw
Dversion-Mangle: auto
# FIXME: This should rather be '+dfsg'
Repack-Suffix: .dfsg
